Built-in filters

This reference details all available built-in filters that can be applied to avoid noise in versions.

removeQueryParams
Removes query parameters from URLs in links and images. Without parameters, removes well-known tracking parameters such as utm_source or fbclid, listed in the engine source code. Declaring parameters replaces this default list.
Example

With the default parameters:

"filter": [
    "removeQueryParams"
]
- <p>Read the <a href="https://example.com/example-page?utm_source=OGB&fbclid=IwAR2xK9&lang=en">list of our affiliates</a>.</p>
+ <p>Read the <a href="https://example.com/example-page?lang=en">list of our affiliates</a>.</p>

With explicit parameters:

"filter": [
    {
        "removeQueryParams": ["utm_source", "utm_medium"]
    }
]
- <p>Read the <a href="https://example.com/example-page?utm_source=OGB&utm_medium=website&lang=en">list of our affiliates</a>.</p>
+ <p>Read the <a href="https://example.com/example-page?lang=en">list of our affiliates</a>.</p>

To keep the default parameters and remove additional ones, declare the filter twice, as filters are applied in order:

"filter": [
    "removeQueryParams",
    {
        "removeQueryParams": ["ref"]
    }
]
- <p>Read the <a href="https://example.com/example-page?utm_source=OGB&ref=footer&lang=en">list of our affiliates</a>.</p>
+ <p>Read the <a href="https://example.com/example-page?lang=en">list of our affiliates</a>.</p>
convertSpacesToStandard
Replaces Unicode space separators, such as non-breaking spaces or narrow no-break spaces, with a regular space in text content.
Example
"filter": [
    "convertSpacesToStandard"
]
- <p>Read the list of our&nbsp;affiliates.</p>
+ <p>Read the list of our affiliates.</p>